require_relative "syntax-1.2.2/lib/syntax.rb"

# for printing
def to_html(source, lang="ruby")
  require 'syntax/convertors/html'
  convertor = ::Syntax::Convertors::HTML.for_syntax lang
  css_html = convertor.convert(source)
  @code_html = ""
  css_html.each_line { |line|
    line.gsub!(/(<span class="keyword">)([\w\d"\[\]\']+)(<\/span>)/, "<b><font color=\"#00007F\">\\2</font></b>")
    line.gsub!(/(<span class="comment">)(.+)(<\/span>)/, "<i><font color=\"#7F7F7F\">\\2</font></i>")
    line.gsub!(/(<span class="method">)([\w\d]+)(<\/span>)/, "<font color=\"#007777\">\\2</font>")
    line.gsub!(/(<span class="class">)([\w\d]+)(<\/span>)/, "<font color=\"#007744\">\\2</font>")
    line.gsub!(/(<span class="symbol">)([;:'"\w]+)(<\/span>)/, "<font color=\"#C0A030\">\\2</font>")
    line.gsub!(/(<span class="punct">)([;'"\(\)\[\]\{\}]+)(<\/span>)/, "<b><font color=\"#444477\">\\2</font></b>")
    line.gsub!(/(<span class="string">)([#\?\/\\\.\w\d\s\\(\)\[\]\{\};:'"]+)(<\/span>)/, "<font color=\"#007F00\">\\2</font>")
    line.gsub!(/(<span class="char">)([#\/\?\\\.\w\d\s\\(\)\[\]\{\};:'"]+)(<\/span>)/, "<font color=\"#FF0077\">\\2</font>")
    line.gsub!(/(<span class="number">)([\d]+)(<\/span>)/, "<font color=\"#007F7F\">\\2</font>")
    line.gsub!(/(<span class="attribute">)([\w\d_]+)(<\/span>)/, "<font color=\"#55BBBB\">\\2</font>")
    line.gsub!(/(<span class="global">)([\w\d_]+)(<\/span>)/, "<font color=\"#77FFBB\">\\2</font>")
    @code_html += line
  }
	# make font smaller
	@code_html.gsub!('<pre>', '<pre><font size="2">')
	@code_html.gsub!('</pre>', '</font></pre>')
  return @code_html.gsub("\r\n", "\n")
end

# USAGE

if ARGV.count == 0
  puts("No input");
  exit(1);
end


input_file = ARGV[0]
file_code_content = File.read(input_file)
file_ext = File.extname(input_file).downcase rescue nil

code_lang = "ruby"

if file_ext == ".sql"
  code_lang = "sqlite"
elsif file_ext == ".yml" || file_ext == ".yaml" || file_ext == ".json"
  code_lang = "yaml"
elsif file_ext == ".xml" || file_ext == ".html"
  code_lang = "xml"
elsif file_ext == ".js"
  code_lang = "javascript"
elsif file_ext == ".css"
  code_lang  = "css21"
elsif file_ext == ".rake"
  code_lang  = "css21"
end


code_lang ||= "ruby"
html = to_html(file_code_content, code_lang)
puts(html)
exit(0);