load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Sample GraphQL" do
  include TestHelper

  before(:all) do
  end

  after(:all) do
  end

  # For more examples, https://courtneyzhan.medium.com/testing-graphql-apis-5f6f605a8896

  it "Get a particular continent" do
    uri = URI.parse("https://countries.trevorblades.com/")
    request = Net::HTTP::Post.new(uri)
    request.content_type = "application/json"
    request.body = JSON.dump({
      "query" => '{ continent(code: "EU") { code name countries { name emoji } } }',
    })
    req_options = {
      use_ssl: uri.scheme == "https",
    }
    response = Net::HTTP.start(uri.hostname, uri.port, req_options) do |http|
      http.request(request)
    end
    expect(response.code).to eq("200")
    expect(response.body).to include("Europe")
    expect(response.body).not_to include("America")
    expect(response.body).to include("Belgium")
  end

end
