import unittest
import xmlrunner
import time
import datetime
import sys
import os
from appium import webdriver

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)) + "/../")
from pages.calculator_window import CalculatorWindow

class CalcTestCase(unittest.TestCase):

    @classmethod
    def setUpClass(cls):
        desired_caps = dict(
            platformName="Windows",
            deviceName="Surface Pro",
            app="Microsoft.WindowsCalculator_8wekyb3d8bbwe!App"
        )
        cls.driver = webdriver.Remote("http://localhost:4723/wd/hub", desired_caps)


    @classmethod
    def tearDownClass(cls):
        cls.driver.quit()

    def setUp(self):
        pass

    def test_addition(self):
        time.sleep(0.5)
        calculator_window = CalculatorWindow(self.driver)
        calculator_window.click_1()
        calculator_window.click_plus()
        calculator_window.click_3()
        calculator_window.click_equals()
        self.assertEqual("Display is 4", calculator_window.result())